discover_card:
  namespace: "Molecules/TM - Cards"
  use: "@molecules/tm-cards/discover-card/discover-card.twig"
  label: Discover Card
  description: Discover Card
  libraries:
    - discover_card_lib:
        css:
          component:
            ../styles/discover-card.css: { }
  fields:
    img_url:
      type: text
      label: Label
      description: The image url
      preview: "https://picsum.photos/560/320?rnd=a1"
    img_alt:
      type: text
      label: Label
      description: The alt text
      preview: "Boat on lake"
    title:
      type: text
      label: Label
      description: The title
      preview: "Discover the Wherry Lines"
    card_link:
      type: text
      label: Label
      description: The link URL
      preview: "www.train-operator.co.uk"
    tags:
      type: object
      label: Label
      description: The filter links
      preview:
        - name: "Days out"
          url: "#"
        - name: "History"
          url: "#"
        - name: "Days out"
          url: "#"
        - name: "History"
          url: "#"
        - name: "History"
          url: "#"

  settings:
    icon_classes:
      type: boolean
      label: Icon Classe
      preview: "belianr"
